# Simple Python module which holds the list of telescope-archive modules
# we intend to load and instantiate (in archive_list.py).  To add new modules,
# create the appropriate module file and then add its name to this list.

archive_module_namelist = ["ing_archive", "ukirt_archive", "eso_archive",
			"hst_eso_archive", "cfht_archive", "aat_archive", "sdss_coords_archive",
			"noao_archive", "mast_archive", "gemini_archive", "smoka_archive"]

# This is a dictionary containing a mapping between convenient shorthand
# names and the corresponding archive module names.  Its purpose is to 
# allow the user to specify single modules via the
# "--usearchive=<shorthand_name>" command-line option (see archive_search.py)
shorthand_dict = { "aat": "te_aat_archive", "cfht": "te_cfht_archive", "eso": "te_eso_archive",
			"hst": "te_hst_eso_archive", "ing": "te_ing_archive", "mast": "te_mast_archive",
			"noao":	"te_noao_archive", "sdss": "te_sdss_coords_archive", "ukirt": "te_ukirt_archive",
			"gemini": "te_gemini_archive", "smoka": "te_smoka_archive" }

